# IndustryTileOverrideManager Class Reference

Inheritance diagram for IndustryTileOverrideManager:

## Public Member Functions
| IndustryTileOverrideManager (uint16 offset, uint16 maximum, uint16 invalid)
void | SetEntitySpec (const IndustryTileSpec *indts)
## Protected Member Functions
virtual bool | CheckValidNewID (uint16 testid)

## Detailed Description

Definition at line 97 of file newgrf_commons.h.

The documentation for this class was generated from the following files:

- src/newgrf_commons.h
- src/newgrf_commons.cpp